package agilpizza.usuario;

import static junit.framework.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import org.testng.annotations.BeforeMethod;
import org.testng.annotations.Test;

import agilpizza.internal.SeleniumTestCase;

public class MostraEnderecoTest extends SeleniumTestCase {

	@BeforeMethod
	public void entrarNaPagina() {
		sel.deleteCookie(sel.getCookie(), CONTEXTO);
		sel.open(CONTEXTO);
		sel.clickAndWait("linkEnderecoParaEntrega");
	}

	@Test
	public void verificaQueAsInformacoesExibidasSaoAsQueForamEnviadasPeloUsuario() {
		sel.type("formAnotarEndereco:rua", "Rua do Matão");
		sel.type("formAnotarEndereco:numero", "1010");
		sel.type("formAnotarEndereco:complemento", "CEC");
		sel.type("formAnotarEndereco:bairro", "Cidade Universitária");
		sel.type("formAnotarEndereco:cep", "05508-090");
		sel.type("formAnotarEndereco:telefone", "3061-1000");

		
		sel.clickAndWait("formAnotarEndereco:enviarEndereco");
		assertTrue(sel.isTextPresent("Rua do Matão"));
		assertTrue(sel.isTextPresent("1010"));
		assertTrue(sel.isTextPresent("CEC"));
		assertTrue(sel.isTextPresent("Cidade Universitária"));
		assertTrue(sel.isTextPresent("05508-090"));
		assertTrue(sel.isTextPresent("3061-1000"));
		assertTrue(sel
				.isTextPresent("Seu endereço foi cadastrado com sucesso!"));
		this.entrarNaPagina();
		assertEquals("Rua do Matão", sel.getValue("formAnotarEndereco:rua"));
		assertEquals("1010", sel.getValue("formAnotarEndereco:numero"));
		assertEquals("CEC", sel.getValue("formAnotarEndereco:complemento"));
		assertEquals("Cidade Universitária", sel
				.getValue("formAnotarEndereco:bairro"));
		assertEquals("05508-090", sel.getValue("formAnotarEndereco:cep"));
		assertEquals("3061-1000", sel.getValue("formAnotarEndereco:telefone"));
	}
}
